openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/DOCU_CALL_EXTENSION_PROCESS:
    post:
      tags:
      - SDOX
      summary: 'Doc.: Enhancement concept (from 3.1) - Edit from Fu.mod. Docu_Call'
      operationId: /rfc/DOCU_CALL_EXTENSION_PROCESS
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CMOD_ENTRANCE:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Access via transaction CMOD
                DISPL:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Display/maintenance mode
                DISPL_MODE:
                  type: string
                  default: '1'
                  maxLength: 1
                  description: Display mode (1=Editor,2=Formatted)
                ID:
                  type: string
                  maxLength: 2
                  description: Mod. class
                LANGU:
                  type: string
                  maxLength: 1
                  description: Language
                OBJECT:
                  type: string
                  maxLength: 60
                  description: Documentation module name
                SUPPRESS_EDIT:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Documentation type
                TYP:
                  type: string
                  default: E
                  maxLength: 1
                  description: Documentation type
                USE_SEC_LANGU:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Documentation type
              required:
              - ID
              - LANGU
              - OBJECT
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  RETURN:
                    type: string
                    maxLength: 1
                    description: Document editor exit type
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
